<?php

/**
 * UserIdentity represents the data needed to identity a user.
 * It contains the authentication method that checks if the provided
 * data can identity the user.
 */
class UserIdentity extends CUserIdentity
{
	/**
	 * Authenticates a user.
	 * The example implementation makes sure if the username and password
	 * are both 'demo'.
	 * In practical applications, this should be changed to authenticate
	 * against some persistent user identity storage (e.g. database).
	 * @return boolean whether authentication succeeds.
	 */
	//dodato za logovanje
    private $_id;
    const ERROR_USER_ACTIVE = true; // ako je korisnik neaktivan


	public function authenticate()
	{
	// ispraviti ako je vec ulogovan u tabeli logins posle test perioda
        $record=User::model()->findByAttributes(array('username'=>$this->username));
        if($record===null){
            $this->errorCode=self::ERROR_USERNAME_INVALID;

        }
        else if($record->aktivan == 0){
            $this->errorCode=self::ERROR_USER_ACTIVE;

        }
        else if($record->password!==md5($this->password)){//
            $this->errorCode=self::ERROR_PASSWORD_INVALID;

        }
	 else
        {
            $this->_id = $record->id;
            $this->setState('title', $record->title);
            $this->errorCode=self::ERROR_NONE;
        }
        return !$this->errorCode;
    }

    public function getId()
    {
        return $this->_id;
    }
}